# Type Alias TrajectoryContentData

type TrajectoryContentData = {
byteLength: number;
memoryUsage: number;
object: TrajectoryNode;
positionArray: ArrayLike<number>;
timeArray: ArrayLike<number>;
uri: string;
}

- Defined in lib/five/model/tile3d/trajectory.ts:7

##### Index

### Properties

byteLength
memoryUsage
object
positionArray
timeArray
uri

## Properties

### byteLength

byteLength: number

- Defined in lib/five/model/tile3d/trajectory.ts:8

### memoryUsage

memoryUsage: number

- Defined in lib/five/model/tile3d/trajectory.ts:9

### object

object: TrajectoryNode

- Defined in lib/five/model/tile3d/trajectory.ts:11

### positionArray

positionArray: ArrayLike<number>

- Defined in lib/five/model/tile3d/trajectory.ts:12

### timeArray

timeArray: ArrayLike<number>

- Defined in lib/five/model/tile3d/trajectory.ts:13

### uri

uri: string

- Defined in lib/five/model/tile3d/trajectory.ts:10